/*
 *  Copyright (C) by Y.Ishioka 2012-2013
 */
#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>

#include <sys/types.h>
#include <unistd.h>
#include <signal.h>
#include <string.h>

#include <demo_main.h>

extern void  demo_recv_serial( void ) ;
extern void  demo_data_analize( void ) ;


//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void demo_timer(WSCbase* object){

    demo_recv_serial() ;
    demo_data_analize() ;

    demvdra_000->redraw();

}


static WSCfunctionRegister  op("demo_timer",(void*)demo_timer);
